<?php
include_once(__DIR__."/../../core.php");


	/**
	  * Funzione per inserire i movimenti di magazzino
	  */
	function add_movimento_magazzino( $idarticolo, $qta, $desc_movimento='', $idintervento='0', $idddt='0', $iddocumento='0', $idmagazzino='0' ){
		global $dbo;


		$id_magazzino_e = get_var_tipodoc2($iddocumento,"id_magazzino_e");
		$des_magazzino="";
		if( $id_magazzino_e !=0 ){
			$des_magazzino=query_secca("","nome","mg_magazzini","where id ='".$id_magazzino_e."'");	
			$des_magazzino=$des_magazzino." ";
		}
		//Operazioni di carico
		if( $qta>=0 ){

			 if( $iddocumento!='0' ){
				$rs = $dbo->fetchArray("SELECT numero, numero_esterno, (SELECT descrizione FROM co_tipidocumento WHERE id=idtipodocumento) AS tipo FROM co_documenti WHERE id='".$iddocumento."'");
				( $rs[0]['numero_esterno']!='' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
				$movimento = "Carico magazzino da ".strtolower($rs[0]['tipo'])." numero ".$numero;
			}

			//Magazzino
			else if( $idmagazzino!='0' ){
				$rs = $dbo->fetchArray("SELECT CONCAT_WS( ' - ', nome, sigla ) AS nome FROM mg_magazzini WHERE id='".$idmagazzino."'");
				$movimento = "Carico articolo su magazzino ".$rs[0]['nome'];
			}
			
			//Carico manuale
			else{
				( $desc_movimento=='' ) ? $movimento='Carico magazzino' : $movimento=$desc_movimento;
			}
		}



		//Operazioni di scarico
		else if( $qta<0 ){

			//Intervento
			if( $idintervento!='0' ){
				$movimento = "Scarico magazzino per intervento ".$idintervento;
			}

			//Ddt
			else if( $idddt!='0' ){
				$rs = $dbo->fetchArray("SELECT numero, numero_esterno, (SELECT descrizione FROM dt_tipiddt WHERE id=idtipoddt) AS tipo FROM dt_ddt WHERE id='".$idddt."'");
				( $rs[0]['numero_esterno']!='' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
				$movimento = "Scarico magazzino per ".strtolower($rs[0]['tipo'])." numero ".$numero;
			}

			//Documento
			else if( $iddocumento!='0' ){
				$rs = $dbo->fetchArray("SELECT numero, numero_esterno, (SELECT descrizione FROM co_tipidocumento WHERE id=idtipodocumento) AS tipo FROM co_documenti WHERE id='".$iddocumento."'");
				( $rs[0]['numero_esterno']!='' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
				$movimento = "Scarico magazzino per ".strtolower($rs[0]['tipo'])." numero ".$numero;
			}

			//Automezzo
			else if( $idmagazzino!='0' ){
				$rs = $dbo->fetchArray("SELECT CONCAT_WS( ' - ', nome, sigla ) AS nome FROM mg_magazzini WHERE id='".$idmagazzino."'");
				$movimento = "Scarico magazzino dell&rsquo;automezzo ".$rs[0]['nome'];
			}
			
			//Scarico manuale
			else{
				( $desc_movimento=='' ) ? $movimento='Scarico magazzino' : $movimento=$desc_movimento;
			}
		}
		
		$movimento=$des_magazzino."".$movimento;
		if( $idarticolo > 0 ){
			$dbo->query( "INSERT INTO mg_movimenti( idarticolo, descrizione_articolo, qta, movimento, data, idintervento, idddt, iddocumento, idmagazzino ) VALUES( \"".$idarticolo."\", (SELECT descrizione FROM mg_articoli WHERE id=\"".$idarticolo."\"), \"".$qta."\", \"".$movimento."\", NOW(), \"".$idintervento."\", \"".$idddt."\", \"".$iddocumento."\", \"".$idmagazzino."\" )" );		
			// log articolo
			add_storico($idarticolo,$movimento);
		
		}
	}
	
	
	
	function sum_purchases_month($month,$id_articolo){
	
	global $dbo;
	$year=date('Y');	
	$rw = $dbo->fetchArray( "select SUM(qta) as totale  FROM mg_movimenti where year(data) = '$year' and month(data)= '$month' and idarticolo='".$id_articolo."' and qta >= 0 ");	
	
	echo $total=number_format($rw[0]['totale']  ,2,'.','');
}


	function sum_sales_month($month,$id_articolo){
	global $dbo;
	$year=date('Y');
	
	$rw = $dbo->fetchArray( "Select SUM(qta) as totale  FROM mg_movimenti where year(data) = '$year' and month(data)= '$month' and idarticolo='".$id_articolo."' and qta < 0 ");
	
	echo $total=number_format(-$rw[0]['totale']  ,2,'.','');
}
	
	function add_storico($idarticolo,$descrizione){
		global $dbo;
		$dbo->query("INSERT INTO zz_log_magazzino( idarticolo, idutente,data_log,username,descrizione ) VALUES( \"".$idarticolo."\", \"".$_SESSION['idutente']."\",NOW(),\"".$_SESSION['username']."\",\"".$descrizione."\" )");
	}
	
	
?>
